/* Copyright (C)  2005-2008 Infobright Inc.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License version 2.0 as
published by the Free  Software Foundation.

This program is distributed in the hope that  it will be useful, but
WITHOUT ANY WARRANTY; without even  the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License version 2.0 for more details.

You should have received a  copy of the GNU General Public License
version 2.0  along with this  program; if not, write to the Free
Software Foundation,  Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307 USA  */

#include "DPN.h"

DPN::DPN(const DataPackId& data_pack_id, ushort no_obj, uint no_nulls, 
		int pack_file, uint pack_addrs, _int64 min, _int64 max, _int64 sum, ushort size)
	:
		min_(min),
		max_(max),
		sum_(sum),
		size_(size),
		pack_file(pack_file), 
		pack_addrs(pack_addrs),
		no_nulls(no_nulls),
		data_pack_id(data_pack_id),
		no_obj(no_obj)
{	
}

DPN::~DPN()
{
}
