/* Copyright (C)  2005-2008 Infobright Inc.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License version 2.0 as
published by the Free  Software Foundation.

This program is distributed in the hope that  it will be useful, but
WITHOUT ANY WARRANTY; without even  the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License version 2.0 for more details.

You should have received a  copy of the GNU General Public License
version 2.0  along with this  program; if not, write to the Free
Software Foundation,  Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307 USA  */
#ifndef _ENGINE_QUERYCOMPILER_H_
#define _ENGINE_QUERYCOMPILER_H_

#include "BHQuery.h"
#include "ExecutionTree.h"

namespace na
{

	class QueryCompiler
	{
	public:
		enum Result { SUCCESS = 1, FAILURE = 0 };		// FAILURE means that the query is not supported (e.g. a data type is not supported)

		Result Compile(BHQuery* query, ExecutionTree* exectree);
	};


}
#endif

